%define prefix /usr
%define name cmus
%define version 2.6.0
%define release %mkrel 3
%define url http://cmus.sourceforge.net/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Source1:	cmus.png
Summary:	A small and fast text mode music player
Summary(de):	Ein kleiner und schneller Musik-Player im Textmodus 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}ncursesw-devel
BuildRequires:	%{_lib}ncurses-devel
BuildRequires:	%{_lib}mad-devel
BuildRequires:	%{_lib}flac8-devel
BuildRequires:	%{_lib}modplug-devel
BuildRequires:	%{_lib}mpcdec-devel
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	%{_lib}ogg-devel
BuildRequires:	%{_lib}wavpack-devel
BuildRequires:	%{_lib}faad2-devel
BuildRequires:	%{_lib}ffmpeg-devel
BuildRequires:	%{_lib}xvid4-devel
BuildRequires:	x264-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}alsa-oss-devel
BuildRequires:	%{_lib}ao-devel
BuildRequires:	%{_lib}cue-devel
BuildRequires:	%{_lib}mp4v2-devel
BuildRequires:	%{_lib}cddb-devel
BuildRequires:	%{_lib}discid-devel
BuildRequires:	pulseaudio-devel
Obsoletes:	%name < %version
Requires: glibc >= 2.20

%description
CMus is a small and fast music player using the ncurses library. 
CMus has vi-style command interface, e.g. searching using '/' or 
'?' and adding files to playlist ':add ~/foo.ogg'.

Here are some key features of "CMus C Music Player":

Input

· FLAC
· Ogg/Vorbis
· MP3 (libmad)
· Wav
· Modules (libmodplug)

Output

· ALSA
· OSS
· ARTS

· MP3 and Ogg streaming (Shoutcast/Icecast)
· WinAmp / XMMS keys "zxcvb"
· Can be controlled via UNIX socket
· Serial port remote controller support (irman)
· Customizable colors
· Nice vi-style interface with tabulator expansion
· Background playlist loading
· Track metadata database makes adding files to playlist very fast.
· Album/artist modes. Playing within one album or artist.
· Playlist is always kept sorted.
· Play queue
· Directory browser
· Full UTF-8 support

#german
%description -l de
Cmus ist ein kleiner und schneller Musik-Player, der die ncurses-Bibliothek
nutzt. Cmus hat eine Kommandoschnittstelle im vi-Stil, z. B. Suche mit '/' oder '?' und 
Hinzufügen von Dateien zur Playlist ': add ~/foo.ogg'.

Hier sind einige der wichtigsten Eigenschaften von "cmus C Music Player":

Eingang

· FLAC
· Ogg / Vorbis
· MP3 (libmad)
· Wav
· Module (libmodplug)

Ausgabe

· ALSA
· OSS
· ARTS

· MP3-und Ogg Streaming (Shoutcast / Icecast)
· Winamp / XMMS Tasten "zxcvb"
· Kann über UNIX-Socket gesteuert werden
· Serielle Schnittstelle Fernbedienung Unterstützung (Irman)
· Anpassbare Farben
· Nizza vi-Stil mit Tabulator Expansion
· Hintergrund Playlist laden
· Track Metadaten-Datenbank macht das Hinzufügen von Dateien sehr 
  schnell hinzugefügt.
· Album / Künstler-Modi. Spielen innerhalb eines Albums oder Interpreten.
· Playlist ist stets sortiert.
· Eine Warteschlange abspielen
· Verzweichnisbrowser
· Volle UTF-8 Unterstützung

%prep

%setup -q -n %{name}-%{version}

%build

export LDFLAGS="-ltinfo"

./configure prefix=/usr libdir=%{_libdir}

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Terminal=true
TryExec=cmus
Exec=cmus %f
Icon=cmus.png
Type=Application
Categories=Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
StartupNotify=false
Name=CMus
GenericName=Audio Player
Comment=C* Music Player
EOF

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/pixmaps/cmus.png"


%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/*
%{_datadir}/cmus
%{_mandir}/man1/cmus.1.bz2
%{_mandir}/man1/cmus-remote.1.bz2
%{_mandir}/man7/cmus-tutorial.7.bz2
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/cmus.png
%{_libdir}/cmus/ip/aac.so
%{_libdir}/cmus/ip/cdio.so
%{_libdir}/cmus/ip/cue.so
%{_libdir}/cmus/ip/ffmpeg.so
%{_libdir}/cmus/ip/flac.so
%{_libdir}/cmus/ip/mad.so
%{_libdir}/cmus/ip/modplug.so
%{_libdir}/cmus/ip/mp4.so
%{_libdir}/cmus/ip/mpc.so
%{_libdir}/cmus/ip/vorbis.so
%{_libdir}/cmus/ip/wav.so
%{_libdir}/cmus/ip/wavpack.so
%{_libdir}/cmus/op/alsa.so
%{_libdir}/cmus/op/ao.so
%{_libdir}/cmus/op/oss.so
%{_libdir}/cmus/op/pulse.so
%{_libdir}/cmus/op/jack.so


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-v%{version}

%changelog
* Fri Feb 20 2015 bb <bb> 2.6.0-3pclos2015
- rebuild new glibc
- updated mp4 library

* Tue Nov 18 2014 bb <bb> 2.6.0-2pclos2014
- rebuild ffmpeg 2.4.3

* Thu Aug 14 2014 ghostbunny <ghostbunny at gmx dot de> 2.6.0-1pclos2014
- 2.6.0
- add BR %{_lib}mp4v2-devel, %{_lib}cddb-devel, %{_lib}discid-devel, pulseaudio-devel

* Tue May 20 2014 ghostbunny <ghostbunny at gmx dot de> 2.5.1-1pclos2014
- 2.5.1
- use libdir macro in files section

